Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface JMSFileStoreMBean

public interface JMSFileStoreMBean
extends JMSStoreMBean

This class represents a JMS file-based persistent store.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.JMSStoreMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getDirectory()` Defines the directory where the file-based persistent store exists.
`java.lang.String` | `getSynchronousWritePolicy()` The WebLogic JMS file store provides three synchronous write policies: Disabled, Cache-Flush, and Direct-Write.
`void` | `setDirectory(java.lang.String directory)` Defines the directory where the file-based persistent store exists.
`void` | `setSynchronousWritePolicy(java.lang.String policy)`

Methods inherited from interface weblogic.management.configuration.JMSStoreMBean
`getJMSServer`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getDirectory

    public java.lang.String getDirectory()

  Defines the directory where the file-based persistent store exists.

  This attribute is not dynamically configurable.

### setDirectory

    public void setDirectory(java.lang.String directory)
                      throws javax.management.InvalidAttributeValueException

  Defines the directory where the file-based persistent store exists.

  This attribute is not dynamically configurable.

  Legal Value: value != void && value.trim().length() != 0
  Legal NULL: false

### getSynchronousWritePolicy

    public java.lang.String getSynchronousWritePolicy()

  The WebLogic JMS file store provides three synchronous write policies: Disabled, Cache-Flush, and Direct-Write. These policies configure how the file store writes data to disk, and affect performance, scalability, and reliability.

  Disabled -- File store writes are allowed to use both the operating system's cache as well as the file system's on-disk cache. This policy is the fastest, but the least reliable. It can be more than 100 times faster than the other policies, but power outages or operating system failures can cause lost and/or duplicate messages.

  Cache-Flush -- The default policy. Transactions cannot complete until all of their writes have been flushed down to disk. This policy is reliable and scales well as the number of simultaneous users increases.

  Direct-Write -- File store writes are written directly to disk. This policy is supported on Solaris, HP, and Windows. If this policy is set on an unsupported platform, the file store automatically uses the Cache-Flush policy instead. The Direct-Write policy's reliability and performance depend on operating system and hardware support of on-disk caches, as follows:

  - With on-disk caching enabled, the Direct-Write policy can be 2-5 times faster than the Cache-Flush policy, except in highly scalable cases where it may be slightly slower.

  - With on-disk caching disabled, the Direct-Write policy is faster than the Cache-Flush policy in one-to-many cases, but is much slower otherwise.

  - The Direct-Write policy scales well with on-disk caching enabled, but does not scale with it disabled. (Solaris does not allow enabling the on-disk cache for direct writes).

  Warning! Unlike Solaris and HP, use of the Direct-Write policy on Windows may leave transaction data in the on-disk cache without writing it to disk immediately. This is not transactionally safe (i.e., not reliable), since a power failure can cause loss of on-disk cache data-- possibly resulting in lost and/or duplicate messages. For reliable writes using Direct-Write on Windows, either disable all write caching for the disk (enabled by default), or use a disk with a battery backed cache.

  To disable the on-disk cache for a hard drive on Windows:
  Start -> Settings -> Control Panel -> System -> Hardware tab -> Device Manager button -> Disk Drives -> double-click drive name -> Disk Properties tab -> deselect "Write Cache Enabled" check box. Some file systems do not allow this value to be changed (for example, a RAID system that has a reliable cache).

  Note: If the JMS file store is used exclusively for paging non-persistent messages to disk, the synchronous write policy is ignored.

  A dynamic MBean attribute
  Default Value: weblogic.management.configuration.JMSConstants.SYNCWRITE_CACHEFLUSH
  Legal Values: weblogic.management.configuration.JMSConstants.SYNCWRITE_DISABLED,weblogic.management.configuration.JMSConstants.SYNCWRITE_CACHEFLUSH,weblogic.management.configuration.JMSConstants.SYNCWRITE_DIRECTWRITE

### setSynchronousWritePolicy

    public void setSynchronousWritePolicy(java.lang.String policy)
                                   throws javax.management.InvalidAttributeValueException,
                                          DistributedManagementException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference